Core - Feature # 35818

Status: Resolved Priority: Should have
Author: Tobias Burger Category: Caching
Created: 2012-04-10 Assigned To: Tobias Burger
Updated: 2012-07-26 Due date:

PHP Version: 5.3

Complexity: easy

Sprint Focus:

Subject: WinCache as Cache Backend

Description

Add WinCache as an option for the Cache Backend.

Related issues:

related to Core APls - Task # 44716: Adapt caching framework documentation to...
related to Core - Bug # 44937: Remove obsolete method flushByTags from wincache
related to Core - Feature # 46142: Introduce XCache cache backend

related to TYPO3.Flow - Feature # 46216: Add wincache cache backend

Closed
Resolved
Resolved
New

2013-01-22
2013-01-29
2013-03-09
2013-03-12

Associated revisions

Revision 0707d0b0 - 2012-07-26 22:33 - Tobias Burger

[FEATURE] Add wincache as a cache backend

Add wincache as a cache backend for TYPOS installations

running on a windows machine

Change-Id: 13089939f87d2597001120d9d3831f4e9ddb913bd
Resolves: #35818

Releases: 6.0

Reviewed-on: http://review.typo3.org/10204

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 537{5788 - 2012-07-28 16:00 - Tobias Burger

[FEATURE] Add wincache as a cache backend

Add wincache as a cache backend for TYPOS installations

running on a windows machine

Change-Id: 13089939f87d2597001120d9d3831f4e9ddb913bd
Resolves: #35818

Releases: 6.0

Reviewed-on: http://review.typo3.org/10204

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn

2015-08-04
http://review.typo3.org/10204
http://review.typo3.org/10204

Tested-by: Christian Kuhn

Revision 528385b0 - 2012-08-08 16:07 - Tobias Burger

[FEATURE] Add wincache as a cache backend

Add wincache as a cache backend for TYPOS installations

running on a windows machine

Change-Id: 13089939f87d2597001120d9d3831f4e9ddb913bd
Resolves: #35818

Releases: 6.0

Reviewed-on: http://review.typo3.org/10204

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision e67bb798 - 2013-01-29 20:36 - Christian Kuhn

[BUGFIX] Remove obsolete flushByTags() from wincache

Method flushByTags() was removed from the cache backend interface
since core version 4.6 and fully removed in 6.0. The wincache
backend still implements this method, but it is never used

anywhere, so it can be removed.

Change-Id: 1038f1839f77b33173122bb8a0485dd005ee8a5a4
Fixes: #44937

Related: #35818

Releases: 6.1, 6.0

Reviewed-on: https://review.typo3.org/17809

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6b97651b - 2013-01-29 20:36 - Christian Kuhn

[BUGFIX] Remove obsolete flushByTags() from wincache

Method flushByTags() was removed from the cache backend interface
since core version 4.6 and fully removed in 6.0. The wincache
backend still implements this method, but it is never used

anywhere, so it can be removed.

Change-Id: 1038f1839f77b33173122bb8a0485dd005ee8a5a4
Fixes: #44937

Related: #35818

Releases: 6.1, 6.0

Reviewed-on: https://review.typo3.org/17810

Reviewed-by: Christian Kuhn

2015-08-04
Tested-by: Christian Kuhn

History

#1 - 2012-04-10 14:07 - Tobias Burger
- % Done changed from 0 to 100

Added WinCache as an option for the Cache Backend.

#2 - 2012-04-11 09:23 - Jigal van Hemert
- Status changed from New to Needs Feedback

Where is the patch for this? | can't find anything in Gerrit.

#3 - 2012-04-11 15:10 - Susanne Moog

- Status changed from Needs Feedback to Under Review

Patch is pending at https://review.typo3.org/#/c/10204/ but in the commit message some parts are missing. Have a look at

http://wiki.typo3.org/CommitMessage Format (Git) for the correct format.

#4 - 2012-04-12 15:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10204

#5 - 2012-04-16 10:25 - Philipp Gampe

FYI (german) http://tobiburger.tumblr.com/post/18189952729/typo3-mit-wincache

#6 - 2012-04-22 12:13 - Steffen Ritter
- Target version set to 6.0.0
- TYPOS3 Version changed from 4.7 to 6.0

#7 - 2012-07-26 00:20 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10204

#8 - 2012-07-26 22:18 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10204
#9 - 2012-07-26 23:30 - Tobias Burger
- Status changed from Under Review to Resolved

Applied in changeset commit:0707d0b01a7472a4130ecf22e20825b26cfd2663.
